2016-09-01 11:57:40 +00:00
|
|
|
From 269941f54e5cf0c601ae284207cdeab865ccc18d Mon Sep 17 00:00:00 2001
|
2016-06-07 13:51:45 +00:00
|
|
|
From: Dave Young <dyoung@redhat.com>
|
|
|
|
Date: Wed, 4 May 2016 12:46:12 +0200
|
2016-09-01 11:57:40 +00:00
|
|
|
Subject: [PATCH] Revert '90multipath: add hostonly multipath.conf in case
|
|
|
|
hostonly mode'
|
2016-06-07 13:51:45 +00:00
|
|
|
|
|
|
|
Patch is incompatible with SUSE, which doesn't have mpathconf.
|
|
|
|
|
|
|
|
Signed-off-by: Thomas Renninger <trenn@suse.de>
|
|
|
|
---
|
|
|
|
modules.d/90multipath/module-setup.sh | 42 +++++++----------------------------
|
|
|
|
1 file changed, 8 insertions(+), 34 deletions(-)
|
|
|
|
|
|
|
|
diff --git a/modules.d/90multipath/module-setup.sh b/modules.d/90multipath/module-setup.sh
|
|
|
|
index 831c99f..c2c85c4 100755
|
|
|
|
--- a/modules.d/90multipath/module-setup.sh
|
|
|
|
+++ b/modules.d/90multipath/module-setup.sh
|
|
|
|
@@ -1,28 +1,18 @@
|
|
|
|
#!/bin/bash
|
|
|
|
|
|
|
|
-is_mpath() {
|
|
|
|
- local _dev=$1
|
|
|
|
- [ -e /sys/dev/block/$_dev/dm/uuid ] || return 1
|
|
|
|
- [[ $(cat /sys/dev/block/$_dev/dm/uuid) =~ mpath- ]] && return 0
|
|
|
|
- return 1
|
|
|
|
-}
|
|
|
|
-
|
|
|
|
-majmin_to_mpath_dev() {
|
|
|
|
- local _dev
|
|
|
|
- for i in `ls -1 /dev/mapper/mpath*`; do
|
|
|
|
- dev=$(get_maj_min $i)
|
|
|
|
- if [ "$dev" = "$1" ]; then
|
|
|
|
- echo $i
|
|
|
|
- return
|
|
|
|
- fi
|
|
|
|
- done
|
|
|
|
-}
|
|
|
|
# called by dracut
|
|
|
|
check() {
|
|
|
|
local _rootdev
|
|
|
|
# if there's no multipath binary, no go.
|
|
|
|
require_binaries multipath || return 1
|
|
|
|
|
|
|
|
+ is_mpath() {
|
|
|
|
+ local _dev=$1
|
|
|
|
+ [ -e /sys/dev/block/$_dev/dm/uuid ] || return 1
|
|
|
|
+ [[ $(cat /sys/dev/block/$_dev/dm/uuid) =~ mpath- ]] && return 0
|
|
|
|
+ return 1
|
|
|
|
+ }
|
|
|
|
+
|
|
|
|
[[ $hostonly ]] || [[ $mount_needs ]] && {
|
|
|
|
for_each_host_dev_and_slaves is_mpath || return 255
|
|
|
|
}
|
|
|
|
@@ -89,18 +79,7 @@ installkernel() {
|
|
|
|
|
|
|
|
# called by dracut
|
|
|
|
install() {
|
|
|
|
- local _f _allow
|
|
|
|
- add_hostonly_mpath_conf() {
|
|
|
|
- is_mpath $1 && {
|
|
|
|
- local _dev
|
|
|
|
-
|
|
|
|
- _dev=$(majmin_to_mpath_dev $1)
|
|
|
|
- [ -z "$_dev" ] && return
|
|
|
|
- strstr "$_allow" "$_dev" && return
|
|
|
|
- _allow="$_allow --allow $_dev"
|
|
|
|
- }
|
|
|
|
- }
|
|
|
|
-
|
|
|
|
+ local _f
|
|
|
|
inst_multiple -o \
|
|
|
|
dmsetup \
|
|
|
|
kpartx \
|
|
|
|
@@ -114,11 +93,6 @@ install() {
|
|
|
|
/etc/multipath.conf \
|
|
|
|
/etc/multipath/*
|
|
|
|
|
|
|
|
- [[ $hostonly ]] && {
|
|
|
|
- for_each_host_dev_and_slaves_all add_hostonly_mpath_conf
|
|
|
|
- [ -n "$_allow" ] && mpathconf $_allow --outfile ${initdir}/etc/multipath.conf
|
|
|
|
- }
|
|
|
|
-
|
|
|
|
inst $(command -v partx) /sbin/partx
|
|
|
|
|
|
|
|
inst_libdir_file "libmultipath*" "multipath/*"
|
|
|
|
--
|
|
|
|
2.6.6
|
|
|
|
|